*,
*::before,
*::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

:root {
  --color-darkpurple:#25244E;
  --color-lightpurple:#6869F7;
  --color-pink:#D9D7FF;
  --debug: 0;
  --supported: 0;
  --not-supported: 0;
  --card-color: hsl(260deg 100% 3%);
  --text-color: hsl(260deg 10% 55%);
  --card-radius: 3.6vw;
  --card-width: 35vw;
  --border-width: 3px;
  --bg-size: 1;

  --hue: 0;
  --hue-speed: 1;

  --rotate: 0;
  --animation-speed: 4s;

  --interaction-speed: 0.55s;
  --glow-scale: 1.5;
  --scale-factor: 1;
  --glow-blur: 6; 
  --glow-opacity: 1; 
  --glow-radius: 100;  
  --glow-rotate-unit: 1deg;
}

 /*color: var(--color-blue);*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Oswald:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Avenir+Next:wght@400;500;600;700;800;900&display=swap');

html{
  overflow-x: hidden;
  background-color: var(--color-pink);
}

body {
  margin: 0;
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
}
canvas {
  display: block;
 
}
#hero{
  display: flex;
  flex-direction: column;
  background: #25244E;
  position: relative;
  height: 80vh;
  overflow: hidden;
  border-bottom-left-radius: 30vw;
  z-index: 0;
}
#fusee{
  position: absolute;
  width: 100vw;
  height: 80vh;
  scale: 1.2;
  overflow: hidden;
  overflow-x: hidden;
}

#header{
  position: absolute;
  margin: 1vw;
  margin-left: 3vw;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: calc(100% - 6vw);
}
#header a{
  text-decoration: none;
  color: var(--color-pink);
}

#header #active{
  color : var(--color-lightpurple)
}
#logo{
  width: 12vw;
}

#dl-btn{
  padding: 5px;
  padding-left:10px ;
  padding-right: 5px;
  background-color: var(--color-lightpurple);
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  color: white;
  font-weight: 500;
  transition: 200ms;
}
#dl-btn:hover{
  scale: 1.3;
  transition: 200ms;
}

nav{
  display: flex;
  gap: 20px;
  position:absolute;
  left:50%;
  top:50%;
  transform:translate(-50%, -50%); 
}

#header nav a{
  overflow: hidden;
  position: relative;
  display: inline-block;
}
#header nav a::before,
#header nav a::after {
 content: '';
  position: absolute;
  width: 100%;
  left: 0;
}

#header nav a::before {
  background-color: var(--color-lightpurple);
  height: 2px;
  bottom: 0;
  transform-origin: 100% 50%;
  transform: scaleX(0);
  transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
}

#header nav a::after {
  content: attr(data-replace);
  height: 100%;
  top: 0;
  transform-origin: 100% 50%;
  transform: translate3d(200%, 0, 0);
  transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
 
}
#header nav a:hover::before {
  transform-origin: 0% 50%;
  transform: scaleX(1);
}
#header nav a:hover::after {
  transform: translate3d(0, 0, 0);
}
#header nav a span {
  display: inline-block;
  transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
}
#header nav a:hover span {
  transform: translate3d(-200%, 0, 0);
}
#header nav body {
  display: grid;

  font-size: 27px;
  line-height: 1.5;
  height: 100vh;
  place-items: center;
}
#header nav a {
  text-decoration: none;
  vertical-align: top;
}

#dl-btn svg{
  width: 35px;
  height: 35px;
  padding: 7px;
  background-color: var(--color-darkpurple);
  border-radius: 10px;
}

h1{
  color: white;
  font-size: 35px;
  font-family: 'Avenir Next', sans-serif;
}
#hero-content{
  display: flex;
  position: absolute;
  top: 300px;
  margin-left: 15vw;
  flex-direction: column;
  gap: 5px;
  width: 35vw;
  scale: 1.2;
}

#hero-content h2{
  color: var(--color-pink);
  font-weight: 400;
  font-size: 23px;
}

#hero-content a{
  padding: 10px;
  background-color: var(--color-lightpurple);
  border-radius: 5px;
  color: white;
  font-weight: 500;
  width: fit-content;
  text-decoration: none;
  margin-top: 5px;
}

#hero-content a:hover{
  background-color: var(--color-darkpurple);
  border: solid 2px var(--color-lightpurple);
  color: var(--color-lightpurple);
  transition: 100ms ease-in-out;
}

#stat{
  background-color: var(--color-pink);
  display: flex;
  flex-direction: column;
  border: solid 1px var(--color-darkpurple);
  width: 180px;
  height: 180px;
  align-items: center;
  justify-content: center;
  border-radius: 20px;
  box-shadow: 0 4px 6px var(--color-lightpurple);
}
#stat svg{
  width: 70px;
  height: 70px;
}

#stat h3{
  font-weight: 600;
  font-size: 25px;
  color: var(--color-darkpurple);
}
#stat p{
  color: var(--color-lightpurple);
  font-size: 12px;
}

#stats{
  display: flex;
  gap: 2vw;
  width: 80vw;
  justify-content: center;
  margin-top: -10vh;
  z-index: 90;
  position: relative;

}

#prez{
  display: flex;
  flex-direction: column;
  max-width: 30vw;
  scale: 1.3;
  margin-left: 5vw;
}

#prez h4{
  font-weight: 400;
  color: var(--color-lightpurple);
  font-size: 14px;
  
}
#prez h2{
  margin-bottom: 10px;
}
#prez p{
  font-weight: 100;
  margin-bottom: 1vh;
}

#d-btn a{
  color: var(--color-lightpurple);
  text-decoration: none;
  font-weight: 500;
}

#d-btn:hover{
  flex-direction: row-reverse;
}


#d-btn{
  border: solid 2px var(--color-lightpurple);
  border-radius: 10px;
  width: 120px;
  height: 35px;
  align-items: center;
  display: flex;
  justify-content: center;
  gap: 5px;
}

#d-btn svg{
  width: 12px;
}
#concept{
 width: 100vw;
 height: 60vh;
 display: flex;
 justify-content: space-around;
 align-items: center;
 margin-top: 15vh;
 
}

#valor{
  background-color: var(--color-darkpurple);
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 30px;
  width: 220px;
  border-radius: 20px;
  gap: 10px;
  height: 260px;

}

#valor h3{
  color: var(--color-pink);

}

#valor p{
  color: var(--color-lightpurple);
  font-size: 12px;
  text-align: center;
  font-weight: 400;
}
#valor svg{
  width: 110px;
}
#v-top{
  display: flex;
  gap: 50px;
}

#valors{
  display: flex;
  flex-direction: column;
  gap: 50px;
}

#carre-bg{
  position: absolute;
  width: 50vw;
  height: 40vh;
  background-color: var(--color-lightpurple);
  z-index: -5;
  right: 0;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px ;
}

#formu{
  margin-top: 5vh;
  display: flex;
  flex-direction: column;
  gap: 10vh;
  margin-bottom: 15vh;
}

#intro{
  margin-left: 10vw;
  margin-right: 10vw;
  display: flex;
  flex-direction: column;

}
#intro hr{
  height: 3px;
  background-color: var(--color-darkpurple);
  border: none;
}
#intro h2{
  color: var(--color-darkpurple);
  
}
#pinte{
  width: 30vw;
  text-align: center;
  justify-content: center;
  font-weight: 100;
}
#prix{
  
  display: flex;
  width: 100vw;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 10vh;
}
#star{
  scale: 1.5;
}
#card{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: solid 3px var(--color-lightpurple);
  border-radius: 15px;
  width: 400px;
  padding: 30px;
  padding-top: 50px;
  padding-bottom: 50px;
}
#card h3{
  font-weight: 500;
  font-size: 30px;
  margin-bottom: 20px;
}

#card p{
  font-size: 12px;
  text-align: center;
}

#card a{
  text-decoration: none;
  color: var(--color-pink);
  padding: 10px;
  background-color: var(--color-lightpurple);
  border-radius: 10px;
  width: 70%;
  text-align: center;
  font-size: 25px;
  font-weight: 500;
  transition: 200ms ease-in-out;
 
}
#card2{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: solid 3px var(--color-lightpurple);
  border-radius: 15px;
  width: 400px;
  padding: 30px;
  padding-top: 50px;
  padding-bottom: 50px;
  background-color: var(--color-lightpurple);

}
#card2 h3{
  font-weight: 500;
  font-size: 30px;
  margin-bottom: 20px;
  color: var(--color-pink);
}

#card2 p{
  font-size: 12px;
  text-align: center;
  color: var(--color-pink);
}

#card2 a{
  text-decoration: none;
  color: var(--color-pink);
  padding: 10px;
  background-color: var(--color-darkpurple);
  border-radius: 10px;
  width: 70%;
  text-align: center;
  font-size: 25px;
  font-weight: 500;
  transition: 200ms ease-in-out;
}

#card2 a:hover{
  scale: 1.2;
  transition: 200ms ease-in-out;
}
#card a:hover{
  scale: 1.2;
  transition: 200ms ease-in-out;
}

#fonctio{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  color: var(--color-darkpurple);
  

}
#card2 svg{
  filter: invert(100%) sepia(100%) saturate(100%) hue-rotate(203deg) brightness(105%) contrast(102%);
  z-index: 10;
}
#fonctio p{
  font-size: 15px;
}

#fonctions{
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  margin-bottom: 20px;
}
#fonctio svg{
  width: 30px;

}

#true{
  color: var(--color-lightpurple);
}
#cards{
  display: flex;
  gap: 5vw;
}

#newsletter{
  width:50vw ;
  background-color: var(--color-darkpurple);
  display: flex;
  flex-direction: column;
  margin-left: 25vw;
  align-items: center;
  gap: 3vh;
  padding: 50px;
  border-radius: 30px;
  border: solid 3px var(--color-pink);
  position: absolute;
}
#newsletter h2{
  color: white;
  font-weight: 500;
  font-size: 30px;
}
#newsletter p{
  color: var(--color-pink);
  text-align: center;
  opacity: 80%;
  width: 38vw;
  font-size: 15px;
  
}

#mail input::placeholder{
  color: var(--color-darkpurple);
  opacity: 20%;
}
#mail input{
  padding: 10px;
  width: 25vw;
  background-color: var(--color-pink);
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  border: none;
}
#mail input:focus{
  border: none;
  outline: none;
  color: var(--color-darkpurple);
}
#mail a{
  background-color: var(--color-lightpurple);
  padding: 10px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  font-size: 13px;
  text-decoration: none;
  color: var(--color-pink);
}
#mail{
  display: flex;
  scale: 1.2;
}
footer{
  background-color: var(--color-darkpurple);
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100vw;
  justify-content: center;
  gap: 20px;
  padding-top: 20vh;
  margin-top: 30vh;
  z-index: -8;
  position: relative;
}
footer a{
  color: var(--color-pink);
  text-decoration: none;
  font-weight: 100;
  font-size: 15px;
}
footer svg{
  scale: 0.6;
}
#f-left{
  display: flex;
  gap: 20px;
}
#f-right{
  display: flex;
  gap: 20px;
}


.roller{
  height: 4.125rem;
  line-height: 4rem;
  position: relative;
  overflow: hidden; 
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  
  color: #1D3557;
}


#spare-time{
  font-size: 1rem;
  font-style: italic;
  letter-spacing: 1rem;
  margin-top: 0;
  color: #A8DADC;
  
}

.roller #rolltext {
  position: absolute;
  top: 0;
  animation: slide 5s infinite;  
}

@keyframes slide {
  0%{
    top:0;
  }
  25%{
    top: -4rem;    
  }
  50%{
    top: -8rem;
  }
  72.5%{
    top: -12.25rem;
  }
}

@media screen and (max-width: 600px){

  
  .roller{
  height: 2.6rem; 
  line-height: 2.125rem;  
  }
  
  #spare-time {
    font-size: 1rem;
    letter-spacing: 0.1rem;
  }
  
  .roller #rolltext {  
  animation: slide-mob 5s infinite;  
}
  
  @keyframes slide-mob {
  0%{
    top:0;
  }
  25%{
    top: -2.125rem;    
  }
  50%{
    top: -4.25rem;
  }
  72.5%{
    top: -6.375rem;
  }
}
}

@media screen and (max-width: 800px){
  nav{
    display: none;
  }
  #dl-btn{
    display: none;
  }
  #header svg{
    width: 150px;
  }
  #fusee{
    display: none;
  }
  #hero-content{
    top: 20vh;
    width: 70vw;
    left: 10vw;
  }
  #stats{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
    gap: 2vh;
  }
  #concept{
    flex-direction: column;
    margin-top: 40vh;
    gap: 20vh;
  }
  #carre-bg{
    width: 100%;
    margin-top: 60vh;
    height: 50vh;
  }
  #formu{
    margin-top: 40vh;
  }
  #cards{
    flex-direction: column;
  }
  footer{
    flex-direction: column;
    padding-top: 30vh;
    padding-bottom: 10vh;
  }
}